#include <dotneato.h>

int main(int argc, char ** argv) {
  Agraph_t * g;
  Agnode_t * n, * m;
  Agedge_t * e;
  Agsym_t  * a;
  GVC_t    * gvc;

  gvc = gvContext();

  dotneato_initialize(gvc, argc, argv);

  g = agopen("g", AGDIGRAPH);
  n = agnode(g, "n");
  m = agnode(g, "m");
  e = agedge(g, n, m);

  if(!(a = agfindattr(g->proto->n, "color")))
    a = agnodeattr(g, "color", "");
  agxset(n, a->index, "red");

  gvBindContext(gvc, g);

  neato_layout(g);
  
  dotneato_write(gvc);

  neato_cleanup(g);

  agclose(g);

  dotneato_terminate(gvc);

  return 0;
}
